[SRU] gstreamer 1.8.1

Bug #1575152 reported by Iain Lane on 2016-04-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gst-libav1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-bad1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-base1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-good1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-ugly1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gstreamer-vaapi (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gstreamer1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

[ Description ]

We should keep up with GStreamer's bugfix releases in the 1.8 series that 16.04 shipped with.

[ QA and testing ]

Play a range of videos in Totem. Play a range of audio tracks in Rhythmbox. Try to stream audio and/or video. Try to install a missing codec.

In all cases, make sure that everything which worked before still works.

[ Regression potential ]

One of the fixes could be bad. Watch out for it.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: libgstreamer1.0-0 1.8.0-1
ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
Uname: Linux 4.4.0-15-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Tue Apr 26 13:16:04 2016
InstallationDate: Installed on 2015-06-05 (325 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150605)
SourcePackage: gstreamer1.0
UpgradeStatus: No upgrade log present (probably fresh install)

Iain Lane (laney) wrote :
Changed in gstreamer1.0 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-ugly1.0 - 1.8.1-1ubuntu1

---------------
gst-plugins-ugly1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152). Remaining changes:
    + Split AMR out into a gstreamer1.0-plugins-ugly-amr package.
    + Run dh_install with --fail-missing to error out if files aren't
      installed.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

gst-plugins-ugly1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Tue, 26 Apr 2016 14:06:46 +0100

Changed in gst-plugins-ugly1.0 (Ubuntu):
status: New → Fix Released
Jim Hodapp (jhodapp) wrote :

We should consider syncing this for Ubuntu Touch as well first for rc-proposed and then to be released with an OTA.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-base1.0 - 1.8.1-1ubuntu1

---------------
gst-plugins-base1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable (LP: #1575152). Remaining changes:
    + 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
      Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
      GstCaps containing the suggested buffer size for this stream.
    + Update Vcs-* for Ubuntu

gst-plugins-base1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Tue, 26 Apr 2016 14:05:54 +0100

Changed in gst-plugins-base1.0 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good1.0 - 1.8.1-1ubuntu1

---------------
gst-plugins-good1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152); remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin2 (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

gst-plugins-good1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Tue, 26 Apr 2016 14:06:28 +0100

Changed in gst-plugins-good1.0 (Ubuntu):
status: New → Fix Released
Iain Lane (laney) on 2016-04-27
Changed in gst-libav1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-plugins-bad1.0 (Ubuntu):
status: New → Fix Committed
Iain Lane (laney) wrote :

all uploaded to xenial

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad1.0 - 1.8.1-1ubuntu1

---------------
gst-plugins-bad1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

gst-plugins-bad1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Tue, 26 Apr 2016 14:04:21 +0100

Changed in gst-plugins-bad1.0 (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

The diff for gstreamer1.0 looks odd: In RELEASE, the fixes and documentation for 1.8.0 gets removed, and replaced with 1.8.1. This also removed the references for four bug fixes in 1.8.0. Can you please verify that the code changes are really correct?

Also, can you please expand the test case for some concrete tests for various media/programs?

Iain Lane (laney) wrote :

diff> What do you mean? https://cgit.freedesktop.org/gstreamer/gstreamer/commit/NEWS?h=1.8&id=ab3362f13d4b01de063a1ece9d29eb5648f4f396 ?

tests> I updated it now to say exactly what was said for a previous SRU. If you want more, let me know and I'll update it in a couple of days.

description: updated
Martin Pitt (pitti) wrote :

Thanks Laney, so it seems the removed 1.8.0 NEWS entries are harmless and don't go along with dropping code.

Hello Iain, or anyone else affected,

Accepted gstreamer1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer1.0/1.8.1-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gstreamer1.0 (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-base1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-base1.0/1.8.1-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-plugins-base1.0 (Ubuntu Xenial):
status: New → Fix Committed
Changed in gst-plugins-good1.0 (Ubuntu Xenial):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-good1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-good1.0/1.8.1-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-bad1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-bad1.0/1.8.1-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-plugins-bad1.0 (Ubuntu Xenial):
status: New → Fix Committed
Changed in gst-plugins-ugly1.0 (Ubuntu Xenial):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-ugly1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-ugly1.0/1.8.1-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-libav1.0 (Ubuntu Xenial):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted gst-libav1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-libav1.0/1.8.1-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

KyL416 (kyl416) wrote :

gstreamer-vaapi needs to be updated too or else the updated packages refuse to install without removing it first.

On Sat, May 07, 2016 at 09:42:23PM -0000, KyL416 wrote:
> gstreamer-vaapi needs to be updated too or else the updated packages
> refuse to install without removing it first.

Yes, but these had to be built first. It's uploaded now.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Changed in gstreamer-vaapi (Ubuntu):
status: New → Fix Released
Changed in gstreamer-vaapi (Ubuntu Xenial):
status: New → In Progress

Hello Iain, or anyone else affected,

Accepted gstreamer-vaapi into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer-vaapi/1.8.1-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gstreamer-vaapi (Ubuntu Xenial):
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

I've that version installed on my main system, playing different type of videos in totem works fine, rhythmbox deals with music and CDs as it should, cheese is displaying live videos of the webcam, missing codec triggers the plugins install as they should, sound settings are working as they shoulds ... looks good, marking as verified!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-base1.0 - 1.8.1-1ubuntu0.1

---------------
gst-plugins-base1.0 (1.8.1-1ubuntu0.1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04.

gst-plugins-base1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable (LP: #1575152). Remaining changes:
    + 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
      Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
      GstCaps containing the suggested buffer size for this stream.
    + Update Vcs-* for Ubuntu

gst-plugins-base1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Wed, 27 Apr 2016 15:39:44 +0100

Changed in gst-plugins-base1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gst-plugins-base1.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer1.0 - 1.8.1-1~ubuntu1

---------------
gstreamer1.0 (1.8.1-1~ubuntu1) xenial; urgency=medium

  * No-change backport of 1.8.1 to 16.04 (LP: #1575152)

gstreamer1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

gstreamer1.0 (1.8.0-2) unstable; urgency=medium

  * debian/control.in:
    + libgstreamer1.0-0 1.8.0 breaks gstreamer1.0-plugins-base << 1.8.0
      because of a bug in the latter that is exposed by the new version of
      core. See https://bugzilla.gnome.org/show_bug.cgi?id=760234
      (Closes: #819958, #819960).

 -- Iain Lane <email address hidden> Tue, 26 Apr 2016 15:11:13 +0100

Changed in gstreamer1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-libav1.0 - 1.8.1-1~ubuntu1

---------------
gst-libav1.0 (1.8.1-1~ubuntu1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04 (LP: #1575152)

gst-libav1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Wed, 27 Apr 2016 15:42:14 +0100

Changed in gst-libav1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad1.0 - 1.8.1-1ubuntu0.1

---------------
gst-plugins-bad1.0 (1.8.1-1ubuntu0.1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04

gst-plugins-bad1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

gst-plugins-bad1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Wed, 27 Apr 2016 13:57:23 +0100

Changed in gst-plugins-bad1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-ugly1.0 - 1.8.1-1ubuntu0.1

---------------
gst-plugins-ugly1.0 (1.8.1-1ubuntu0.1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04

gst-plugins-ugly1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152). Remaining changes:
    + Split AMR out into a gstreamer1.0-plugins-ugly-amr package.
    + Run dh_install with --fail-missing to error out if files aren't
      installed.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

gst-plugins-ugly1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Wed, 27 Apr 2016 14:23:40 +0100

Changed in gst-plugins-ugly1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good1.0 - 1.8.1-1ubuntu0.1

---------------
gst-plugins-good1.0 (1.8.1-1ubuntu0.1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04.

gst-plugins-good1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152); remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin2 (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

gst-plugins-good1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Wed, 27 Apr 2016 15:40:07 +0100

Changed in gst-plugins-good1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer-vaapi - 1.8.1-1~ubuntu1

---------------
gstreamer-vaapi (1.8.1-1~ubuntu1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04 (LP: #1575152)

gstreamer-vaapi (1.8.1-1build1) yakkety; urgency=medium

  * Rebuild against gst-plugins-bad 1.8.1

gstreamer-vaapi (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.8, no changes.

 -- Iain Lane <email address hidden> Wed, 27 Apr 2016 15:46:04 +0100

Changed in gstreamer-vaapi (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.